#define __python /usr/bin/python2.6
#global pyver 26
#global pybindir /usr/lib/python2.7/bin
%global pyver %{nil}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

### Abstract ###

Name: python%{pyver}-HTSeq
Version: 0.5.4p5
Release: 1%{?dist}
License: GPL
Group: Development/Languages
Summary: A framework to process and analyze data from high-throughput sequencing (HTS) assays
URL: http://www-huber.embl.de/users/anders/HTSeq/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u})
Source: https://pypi.python.org/packages/source/H/HTSeq/HTSeq-%{version}.tar.gz

BuildRequires: python%{pyver}-devel python%{pyver}-matplotlib numpy%{pyver}
Requires: python%{pyver}-matplotlib numpy%{pyver}

%description
HTSeq is a Python package that provides infrastructure to process data from high-throughput sequencing assays.

%prep
%setup -q -n HTSeq-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc VERSION README
%{_bindir}/htseq*
%{python_sitearch}/*

%changelog
* Wed Jan 08 2013 Josko Plazonic <plazonic@princeton.edu> - 0.5.4p5-1
- initial build
